Skip to main content
POST

Authorizations

Api-Key
string
header
required

An API Key is required to call Pinecone APIs. Get yours from the console.

Headers

X-Pinecone-Api-Version
string
default:2026-07
required

Required date-based version header

Path Parameters

backup_id
string
required

The ID of the backup to create an index from.

Body

application/json

The configuration needed to create a Pinecone index from a backup.

name
string
required

The name of the index. Resource name must be 1-45 characters long, start and end with an alphanumeric character, and consist only of lower case alphanumeric characters or '-'.

Required string length: 1 - 45
Example:

"example-index"

tags
object | null

Custom user tags added to an index, at most 20 per index. Keys must be 80 characters or less and alphanumeric, '_', or '-'. Values must be 120 characters or less and consist of printable ASCII characters or spaces. To unset a key, set the value to be an empty string. null in responses when the index has no tags.

Example:
deletion_protection
string
default:disabled

Whether deletion protection is enabled/disabled for the index.

Possible values: disabled or enabled.

read_capacity
On-demand · object

By default the index will be created with read capacity mode OnDemand, for managed and BYOC indexes alike. If you prefer to allocate dedicated read nodes for your workload, you must specify mode Dedicated and additional configurations for node_type and scaling.

Example:
deployment
Serverless · object

Where to create the index. Defaults to the cloud and region, or the BYOC environment, the backup was taken in.

  • managed: A serverless index in the given cloud and region. The cloud must match the backup's cloud.
  • byoc: A BYOC index. The environment must be the one the backup was taken in.
Example:

Response

The request to create the index has been accepted.

The response for creating an index from a backup.

restore_job_id
string
required

The ID of the restore job that was created.

Example:

"670e8400-e29b-41d4-a716-446655440000"

index_id
string
required

The ID of the index that was created from the backup.

Example:

"123e4567-e89b-12d3-a456-426614174000"